package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shangfeng
 * @date 2024-10-10 15:40:38
 */
public class GroupChatActivityRewardLogVO implements Serializable {

    private static final long serialVersionUID = -5069228984771030367L;

    /**
     * 社群活动奖励id
     */
    private Long chatActivityRewardLogId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 会员是否删除
     * 0 正常
     * 1 已删除
     */
    private Integer memberDeleteFlag;

    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;

    /**
     * 奖励阶梯 阶梯奖励，其他奖励默认1
     */
    private Integer inviteLevel;

    /**
     * 奖励时间
     */
    private Date createTime;

    /**
     * 会员名称
     */
    private String name;

    /**
     * 会员手机
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String phoneNumber;

    /**
     * 会员别名昵称
     */
    private String nickName;

    /**
     * 奖励积分
     */
    private Integer integral = 0;

    /**
     * 奖励成长值
     */
    private Integer growth = 0;

    /**
     * 奖励卡券
     */
    private String cardInfo;

    public Long getChatActivityRewardLogId() {
        return chatActivityRewardLogId;
    }

    public void setChatActivityRewardLogId(Long chatActivityRewardLogId) {
        this.chatActivityRewardLogId = chatActivityRewardLogId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Integer getInviteLevel() {
        return inviteLevel;
    }

    public void setInviteLevel(Integer inviteLevel) {
        this.inviteLevel = inviteLevel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public String getCardInfo() {
        return cardInfo;
    }

    public void setCardInfo(String cardInfo) {
        this.cardInfo = cardInfo;
    }
}
